
#ifndef SLAB_EFFECTS_H
#define SLAB_EFFECTS_H true

#ifndef NULL
#define NULL 0
#endif

/*
 * Maximum number of controllers supported by the MixSLab Effects GUI.
 */
#define CONTROLLER_COUNT	8
#define SLAB_NAME_LENGTH	128

#define SLAB_EFFECTS_MONO	0x1
#define SLAB_EFFECTS_STEREO	0x2
#define SLAB_EFFECTS_FLOAT	0x4

/*
 * For calls to seGetOpts()
 */
#define SLAB_RESOLUTION		1
#define SLAB_SAMPLE_RATE	2

/*
 * The API only spports SLab_Potmeter as of the 1.0 release. Later
 * implementations will use the rest, and drop the enumerated type in 
 * preference for #define's.
 */
enum controllerTypes {
	SLab_unassigned = -1,
	SLab_Potmeter,
	SLab_Scaler,
	SLab_Button
};

extern int *seAttach();
extern int seInit();
extern int seDetach();
extern int seAddCtrl();
extern int seGetCtrlVal();
extern int *seRead();
extern int seWrite();
extern int seGetOpts();
extern char *seGetFileName();
extern int seSetCtrlDisp();

#endif /* SLAB_EFFECTS_H */

